Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 PerfProf Access Codelet [IXP425 Codelets] (IxPerfProfAccCodelet) API IXP425 codelet PerfProf Access component API More...
## Defines
#define | PSS_MASK
| Masks out PSS portion of the PMSR register.
#define | EXPANSION_BUS
#define | SDRAM_CONTROLLER
#define | PCI
#define | QUEUE_MANAGER
#define | AHB_APB_BRIDGE
## Enumerations
enum | IxPerfProfAccCodeletMode { IX_PERFPROF_ACC_CODELET_MODE_HELP, IX_PERFPROF_ACC_CODELET_MODE_ALL, IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_NORTH_MODE, IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_SOUTH_MODE, IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_SDRAM_MODE, IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_EVENT_SAMPLING, IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_TIME_SAMPLING, IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_EVENT_COUNTING, IX_PERFPROF_ACC_CODELET_MODE_XCYCLE, IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_PMSR_GET }
| Contains selection of mode to be used when calling the main API. More...
## Functions
PUBLIC void | ixPerfProfAccCodeletMain (IxPerfProfAccCodeletMode mode, UINT32 param1, UINT32 param2, UINT32 param3, UINT32 param4, UINT32 param5, UINT32 param6, UINT32 param7, UINT32 param8, UINT32 param9)
## Detailed Description (IxPerfProfAccCodelet) API IXP425 codelet PerfProf Access component API Functionality of the PerfProf Access Codelet The codelet shall demonstrate how the Performance Profiling utility can be used for profiling purposes. The different implementations are demonstrated. Help - Lists down how the codelet can be used. Demo All - A non user configurable demonstration on how to use the APIs Bus Pmu North Mode - Profiling of the north bus activities. Enables user to select events that they wish to monitor. Bus Pmu South Mode - Profiling of the south bus activities. Enables user to select events that they wish to monitor. Bus Pmu Sdram Mode - Profiling of the sdram bus activities. Enables user to select events that they wish to monitor. Bus Pmu PMSR Get Mode - Get the last slave or master to access the bus. Xscale PMU Event Sampling - Event Sampling of Xscale PMU. Enables user to select event and sampling rate that they wish to sample. Xscale PMU Time Sampling - Time Sampling of Xscale PMU. Enables user to select clock count mode and number of events and rate they wish to sample. Xscale PMU Event Counting - Event counting of Xscale PMU. Enables users to select events that they wish to count or monitor. Xcycle Measurement - Measurement of cycle idle time. i.e when the cycles are not being used to process anything. User Guide Users will be able to start the codelet by calling ixPerfProfAccCodeletMain and passing in up to 10 parameters. The parameters are represented in the following order:
      Help Mode
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_HELP
         Set the rest of the parameters to 0.
      All functionalities mode
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_ALL
         Set the rest of the parameters to 0.
      Bus PMU north mode
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_NORTH_MODE
         param1 - Select proper PEC1 value from main header file.
         param2 - Select proper PEC2 value from main header file.
         param3 - Select proper PEC3 value from main header file.
         param4 - Select proper PEC4 value from main header file.
         param5 - Select proper PEC5 value from main header file.
         param6 - Select proper PEC6 value from main header file.
         param7 - Select proper PEC7 value from main header file.
         Set the rest of the parameters to 0.
      Bus PMU south mode
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_SOUTH_MODE
         param1 - Select proper PEC1 value from main header file.
         param2 - Select proper PEC2 value from main header file.
         param3 - Select proper PEC3 value from main header file.
         param4 - Select proper PEC4 value from main header file.
         param5 - Select proper PEC5 value from main header file.
         param6 - Select proper PEC6 value from main header file.
         param7 - Select proper PEC7 value from main header file.
         Set the rest of the parameters to 0.
      Bus PMU sdram mode
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_SDRAM_MODE
         param1 - Select proper PEC1 value from main header file.
         param2 - Select proper PEC2 value from main header file.
         param3 - Select proper PEC3 value from main header file.
         param4 - Select proper PEC4 value from main header file.
         param5 - Select proper PEC5 value from main header file.
         param6 - Select proper PEC6 value from main header file.
         param7 - Select proper PEC7 value from main header file.
         Set the rest of the parameters to 0.
      Bus PMU PMSR Get
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_PMSR_GET
         Set the rest of the parameters to 0.
      XScale PMU Event Sampling
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_DEMO_XSCALE_PMU_EVENT_SAMPLING
         param1 - Number of events
         param2 - Event 1
         param3 - Sampling rate of Event 1
         param4 - Event 2
         param5 - Sampling rate of Event 2
         param6 - Event 3
         param7 - Sampling rate of Event 3
         param8 - Event 4
         param9 - Sampling rate of Event 4
      XScale PMU Time Sampling
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_DEMO_XSCALE_PMU_TIME_SAMPLING
         param1 - Sampling rate.
         param2 - Clock count divider.
         Set the rest of the parameters to 0.
      XScale PMU Event Counting
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_DEMO_XSCALE_PMU_EVENT_COUNTING
         param1 - Clock count divider.
         param2 - Number of events.
         param3 - Event 1.
         param4 - Event 2.
         param5 - Event 3.
         param6 - Event 4.
         Set the rest of the parameters to 0.
      Xcycle Measurement
         Mode - Select IX_PERFPROF_ACC_CODELET_MODE_XCYCLE
         param1 - Number of runs required.
         Set the rest of the parameters to 0.
VxWorks User Guide ixPerfProfAccCodeletMain() function is used as a single point of execution for PerfProfAcc Codelet. It allows user to enter selection for different type of supported operations as described above.
       Usage :
          >ixPerfProfAccCodeletMain (mode, param1, param2, param3, param4, param5, param6,
                                param7, param8, param9)
          Where mode and params are described above.
Linux User Guide ixPerfProfAccCodeletMain() function is used as a single point of execution for PerfProfAcc Codelet. It allows user to enter selection for different type of supported operations as described above.
       Usage :
          >insmod ixp400_codelets_perfProfAcc.o \
           mode= \
           param1= \
           param2= \
           param3= \
           param4= \
           param5= \
           param6= \
           param7= \
           param8= \
           param9= \
          Where Parameter X are as described above.
## Define Documentation
#define PSS_MASK
| Masks out PSS portion of the PMSR register. Definition at line 230 of file IxPerfProfAccCodelet.h.
## Enumeration Type Documentation
enum IxPerfProfAccCodeletMode
  | Contains selection of mode to be used when calling the main API. Enumeration values:
  IX_PERFPROF_ACC_CODELET_MODE_HELP | Select help mode.
  IX_PERFPROF_ACC_CODELET_MODE_ALL | Select all mode.
  IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_NORTH_MODE | Select north bus pmu mode.
  IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_SOUTH_MODE | Select south bus pmu mode.
  IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_SDRAM_MODE | Select sdram mode.
  IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_EVENT_SAMPLING | Select xscale pmu event sampling mode.
  IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_TIME_SAMPLING | Select xscale pmu time sampling mode.
  IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_EVENT_COUNTING | Select xscale pmu event counting mode.
  IX_PERFPROF_ACC_CODELET_MODE_XCYCLE | Select xcycle mode.
  IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_PMSR_GET | Select bus pmu pmsr get mode.
Definition at line 289 of file IxPerfProfAccCodelet.h.
Automatically generated from sources. © Intel Corp. 2003